View Issue Details

IDProjectCategoryView StatusLast Update
11724Feature requests[All Projects] Survey takingpublic2018-04-06 11:48
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary11724: Usage of input-group input-group-addon
Description

We have some prefix/suffix : sometimes it's used to add a add on (like $ .00 like in http://getbootstrap.com/components/#input-groups.

We can use it in core , not really difficult, seems cool, but unsure it's cool.

Steps To Reproduce

Look at screen shot for a simple example

Additional Information

Survey manager can add a css class to a specific question to didn't show this part, or we can give an option: but we have more and more options in core

Tagsanswers_html

Relationships

related to 11725 closedDenisChenu Multiple numeric with slider : columns width 

Activities

DenisChenu

DenisChenu

2016-09-29 00:18

developer  

DenisChenu

DenisChenu

2016-09-30 18:58

developer  

Mazi

Mazi

2016-10-04 10:07

partner   ~41067

Lazy copy-pasting from IRC:
[10:02] Mazi: I like the design shown at your screenshots, looks really nice.
[10:02] shnoulle: You can test it with a short text question type
[10:02] Mazi: so if no prefix/suffic is set, the "block" simply just won't get added, correct?
[10:02] shnoulle: BUT : with col-sm-2 : accept long string , imag, table etc ... in suffix/prefix
[10:03] shnoulle: with ls-input-group-extra : single line, short string is OK, but not big string
[10:03] Mazi: well, I think we should just assume that user will only add pure text in there. you don't really need anything more fancy
[10:04] Mazi: so for textareas as text input fields it won't look nice?
[10:05] shnoulle: No, it's OK too .
[10:05] Mazi: and if no prefix/suffic is set, the "block" simply just won't get added
[10:05] Mazi: ?
[10:05] shnoulle: And with ls-inpu-group-extra : we don't add the border+background (just like input-group-addon from BS but without border/background)
[10:06] shnoulle: Yes : no suffic/preffixc : no block
[10:06] Mazi: fine with me. it is an improvement and if the prefix/suffix have their own class, users can still style them as needed

DenisChenu

DenisChenu

2016-10-04 10:14

developer   ~41068

Solution in https://github.com/LimeSurvey/LimeSurvey/commit/15bf9e7bc04dd765a7e9b60c5755c50eac83c9f6

Don't use BS input-group-addon, but add a ls-input-group-extra. User can easily add broder/background in template (global or if question have a specific class).

template can include (or not) limesurvey package : https://github.com/LimeSurvey/LimeSurvey/commit/15bf9e7bc04dd765a7e9b60c5755c50eac83c9f6#diff-bf7241f23dc4cca8516501685576876cR101

Where to placxe this package ????
Not in third_party: it's core ....

tammo

tammo

2016-10-04 13:47

partner   ~41098

I agree, and also with Schnoulle's addition of ls-input-group-extra. This make it more framework-agnostic

DenisChenu

DenisChenu

2016-10-05 00:31

developer   ~41131

https://github.com/LimeSurvey/LimeSurvey/commit/9ad97a65d98bb31242d93139e5bae88088f376c1

Related Changesets

LimeSurvey: answers_html 84ecb886

2016-09-29 09:16:24

DenisChenu

Details Diff
Dev: rework multiple numeric with slider : external js + css
Dev: fix .slider-handle.custom (the included style don't work on last Firefox)
Dev: add input-group-addon on suffix/preffix on multiple text: to be confirmed
Affected Issues
11656, 11724, 11725
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/multiplenumeric/answer.php Diff File
mod - application/views/survey/questions/multiplenumeric/rows/input/answer_row.php Diff File
mod - application/views/survey/questions/multiplenumeric/rows/sliders/answer_row.php Diff File
mod - application/views/survey/questions/multipleshorttext/rows/answer_row_inputtext.php Diff File
mod - application/views/survey/questions/multipleshorttext/rows/answer_row_textarea.php Diff File
mod - scripts/expressions/em_javascript.js Diff File
mod - scripts/numeric-slider.js Diff File
mod - styles-public/numeric-slider.css Diff File
mod - templates/default/config.xml Diff File
rm - templates/default/css/bootstrap-slider-rtl.css Diff File
rm - templates/default/css/bootstrap-slider.css Diff File
mod - templates/default/css/template.css Diff File

LimeSurvey: answers_html 9ad97a65

2016-10-05 00:27:28

DenisChenu

Details Diff
Updated feature 11724 : adding usage of input-group ls-input-group-extra for suffix/preffix
Dev: preffix/suffix are the same for all rows : OK to be in group-addon
Dev: not same if it can be diffeent in each row (different size)
Dev: done for whole suufic preffix if i don't lost 1 or 2
Affected Issues
11724
mod - application/helpers/qanda_helper.php Diff File
mod - application/helpers/questionHelper.php Diff File
mod - application/views/survey/questions/arrays/dualscale/answer_dropdown.php Diff File
mod - application/views/survey/questions/multiplenumeric/rows/input/answer_row.php Diff File
mod - application/views/survey/questions/multipleshorttext/rows/answer_row_inputtext.php Diff File
mod - application/views/survey/questions/numerical/answer.php Diff File

Issue History

Date Modified Username Field Change
2016-09-29 00:18 DenisChenu New Issue
2016-09-29 00:18 DenisChenu File Added: Capture du 2016-09-29 00-17-33.png
2016-09-29 00:19 DenisChenu Tag Attached: answers_html
2016-09-29 00:19 DenisChenu Tag Attached: a
2016-09-29 00:19 DenisChenu Tag Detached: a
2016-09-29 09:26 DenisChenu Changeset attached => LimeSurvey answers_html 84ecb886
2016-09-30 18:58 DenisChenu File Added: Capture du 2016-09-30 18-58-04.png
2016-09-30 18:58 DenisChenu Project Development => Feature requests
2016-10-04 10:07 Mazi Note Added: 41067
2016-10-04 10:14 DenisChenu Note Added: 41068
2016-10-04 10:14 DenisChenu Severity @50@ => feature
2016-10-04 10:14 DenisChenu Product Version 2.5x =>
2016-10-04 10:14 DenisChenu Target Version 3.x =>
2016-10-04 10:27 DenisChenu Relationship added related to 11725
2016-10-04 13:47 tammo Note Added: 41098
2016-10-05 00:31 DenisChenu Assigned To => DenisChenu
2016-10-05 00:31 DenisChenu Status new => resolved
2016-10-05 00:31 DenisChenu Resolution open => fixed
2016-10-05 00:31 DenisChenu Fixed in Version => 3.0
2016-10-05 00:31 DenisChenu Note Added: 41131
2016-10-05 09:57 DenisChenu Changeset attached => LimeSurvey answers_html 9ad97a65
2018-04-06 11:48 markusfluer Status resolved => closed